From 73eb346e74914835c3b88ccdf2e4836a23623b2b Mon Sep 17 00:00:00 2001
From: Rong Yan <yanrong@cn.ibm.com>
Date: Mon, 11 Jan 2016 02:07:14 -0600
Subject: [PATCH] fix bug for POWER to disable altivec when set --disable-asm

---
 common/cpu.c | 10 ++++++++--
 configure    |  2 +-
 2 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/common/cpu.c b/common/cpu.c
index 4423144..20a342a 100644
--- a/common/cpu.c
+++ b/common/cpu.c
@@ -339,7 +339,9 @@ uint32_t x264_cpu_detect( void )
 
     if( error == 0 && has_altivec != 0 )
         cpu |= X264_CPU_ALTIVEC;
-
+#if (HAVE_ALTIVEC==0)
+    cpu = 0;
+#endif
     return cpu;
 }
 
@@ -367,8 +369,12 @@ uint32_t x264_cpu_detect( void )
     canjump = 0;
 
     signal( SIGILL, oldsig );
-
+#if HAVE_ALTIVEC
     return X264_CPU_ALTIVEC;
+#else
+    return 0;
+#endif
+
 #endif
 }
 #endif
diff --git a/configure b/configure
index 0e9df9d..0fffd0c 100755
--- a/configure
+++ b/configure
@@ -714,7 +714,7 @@ case $host_cpu in
         ;;
     powerpc*)
         ARCH="PPC"
-        if [ $asm = auto ] ; then
+        if [ $asm == auto ] ; then
             define HAVE_ALTIVEC
             AS="${AS-${CC}}"
             AS_EXT=".c"
-- 
2.1.4

